* {
    margin: 0;
    padding: 0;
}

body {
    width: 95%;
    margin: 5px auto;
    font-family: Arial, Helvetica, sans-serif;
    color: white;
}

main {
    display: grid;
    height: 800px;
    gap: 5px;
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: repeat(6, 1fr);
    grid-template-areas:
        "feature1 feature1    header  header  header  header"
        "side     product     product product product feature2"
        "side     product     product product product ."
        "side     bonus1      .       .       bonus3  feature3"
        "side     .           bonus2  .       .       bonus4"
        "side     footer      footer  footer  footer  footer";
}

header {
    background-color: black;
    grid-area: header;
}

.feature {
    background-color: red;
}

.feature:first-of-type {
    grid-area: feature1;
}

.feature:nth-of-type(2) {
    grid-area: feature2;
}

.feature:nth-of-type(3) {
    grid-area: feature3;
}

#side {
    background-color: green;
    grid-area: side;
}

#product {
    background-color: blue;
    grid-area: product;
}

.bonus {
    background-color: lightpink;
}

.bonus:first-of-type {
    grid-area: bonus1;
}

.bonus:nth-of-type(2) {
    grid-area: bonus2;
}

.bonus:nth-of-type(3) {
    grid-area: bonus3;
}

.bonus:nth-of-type(4) {
    grid-area: bonus4;
}

#footer {
    background-color: goldenrod;
    grid-area: footer;
}